package com.fjhx.sale.service.pack;

import com.fjhx.sale.entity.pack.po.PackShipment;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.pack.vo.PackShipmentVo;
import com.fjhx.sale.entity.pack.dto.PackShipmentSelectDto;
import com.fjhx.sale.entity.pack.dto.PackShipmentDto;

import java.util.List;
import java.util.Map;


/**
 * <p>
 * 出货绑定主合同表 服务类
 * </p>
 *
 * @author
 * @since 2023-04-19
 */
public interface PackShipmentService extends BaseService<PackShipment> {

    /**
     * 出货绑定主合同表分页
     */
    Page<PackShipmentVo> getPage(PackShipmentSelectDto dto);

    /**
     * 出货绑定主合同表明细
     */
    PackShipmentVo detail(Long id);

    /**
     * 出货绑定主合同表新增
     */
    void add(PackShipmentDto packShipmentDto);

    /**
     * 出货绑定主合同表编辑
     */
    void edit(PackShipmentDto packShipmentDto);

    /**
     * 出货绑定主合同表删除
     */
    void delete(Long id);

    /**
     * 查询出货绑定主合同列表详情
     * @param dto
     * @return
     */
    List<PackShipmentVo> getList(PackShipmentSelectDto dto);

    /**
     * 查询出货-主合同表的产品信息详情列表
     * @param dto
     * @return
     */
    List<Map<String, Object>> productDetailList(PackShipmentSelectDto dto);
}
